Bug 143612 - Rhythmbox imperfect shuffle
Rhythmbox imperfect shuffle
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Depends On:
  Show dependency treegraph
Reported: 2004-12-22 16:11 EST by Brian Fahrlander
Modified: 2013-03-13 00:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-26 05:28:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Fahrlander 2004-12-22 16:11:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
During any playlist, there's not only a high chance of the same song
coming up twice, but twice-in-a-row.

Version-Release number of selected component (if applicable):

How reproducible:
Couldn't Reproduce (It just happens)

Steps to Reproduce:
1.Start a playlist (more than 1-2 titles)
2.Enjoy the songs


Actual Results:  With a list of 100+ titles, it will sometimes play
the exact same song twice; not a remix, not a similar song- the same
one.  Isn't there any check for this?

Expected Results:  The songs should be at least a little more
balanced, and never play the same thing twice with hundreds of titles
in the list.

Additional info:

A good example of a shuffler is at IMMS, a plugin for XMMS.  They go
to great lengths to rate and record the last-play time for each title.
 Plus, it's mature, solid, code that really does what it's
advertising.  I'm not on the project or anything, just a happy user of
something that worked better than expected.
Comment 1 Brian Fahrlander 2005-12-26 05:28:59 EST
A year later and not even one comment on this bug, much less any kind of change.
 RB is still the nice-looking, player that's easy to access titles.

But after a year of such a simple bug, as well as the "playing a spurt" of other
songs before a change tells me I've been wasting my time.  I'm gonna solve the
problem:  I'm going back to XMMS with IMMS.

Nevermind, guys!  See ya!

Note You need to log in before you can comment on or make changes to this bug.